Skip to main content
GET
/
agents
/
{agentId}
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "updatedTime": "<string>",
  "agentId": "<string>",
  "metadata": {},
  "updatedBy": "<string>",
  "createdBy": "<string>",
  "name": "<string>",
  "createdTime": "<string>",
  "description": "<string>",
  "id": "<string>",
  "resourceIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

agentId
string
required

Response

200 response

updatedTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
agentId
string
required
Pattern: ^cradl:agent:[a-f0-9]{32}$
metadata
object
required
updatedBy
string | null
required
Maximum string length: 4096
createdBy
string
required
Maximum string length: 4096
name
string | null
required
Maximum string length: 4096
createdTime
string
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
description
string | null
required
Maximum string length: 4096
id
string
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:agent:[a-z0-9-_]+$
resourceIds
string[]